---
# Use python3 interpreter
ansible_python_interpreter: "/usr/bin/python3"
odoo_role_python_version: "3.7.13"

# Odoo vars
odoo_role_odoo_user: odoo

odoo_role_download_strategy: tar
odoo_role_odoo_version: "12.0"
odoo_role_odoo_release: "12.0_2022-02-22"
odoo_role_odoo_url: "https://gitlab.com/coopdevs/OCB/-/archive/{{ odoo_role_odoo_release }}/OCB-{{ odoo_role_odoo_release }}.tar.gz"
odoo_role_odoo_core_modules_dict:
  shared:
    - account
    - account_invoicing
    - account_asset
    - account_analytic_default
    - account_bank_statement_import
    - account_cancel
    - analytic
    - auth_crypt
    - auth_signup
    - base
    - base_automation
    - base_iban
    - base_import
    - base_setup
    - base_vat
    - base_vat_autocomplete
    - contacts
    - crm
    - decimal_precision
    - document
    - hr
    - hr_attendance
    - hr_contract
    - hr_expense
    - hr_holidays
    - hr_timesheet
    - im_livechat
    - l10n_es
    - product
    - mrp
    - purchase
    - sale_management
    - survey
    - web
    - web_diagram
    - web_kanban_gauge
    - web_planner
    - web_settings_dashboard
    - website_event
    - website_forum
    - website_sale
    - website_slides

odoo_role_odoo_community_modules_dict:
  shared:
    - account_banking_mandate
    - account_banking_pain_base
    - account_banking_sepa_credit_transfer
    - account_banking_sepa_direct_debit
    - account_due_list
    - account_financial_report
    - account_invoice_supplier_self_invoice
    - account_payment_auto_partner_bank
    - account_payment_mode
    - account_payment_order
    - account_payment_partner
    - base_bank_from_iban
    - base_technical_features
    - barcode_scan_weight
    - beesdoo_account
    - beesdoo_base
    - beesdoo_easy_my_coop
    - beesdoo_pos
    - beesdoo_pos_coop_status
    - beesdoo_product_info_screen
    - beesdoo_shift
    - beesdoo_shift_attendance
    - beesdoo_website_eater
    - beesdoo_website_posorder_amount
    - beesdoo_website_shift
    - beesdoo_worker_status
    - contract
    - contract_variable_qty_timesheet
    - contract_variable_quantity
    - easy_my_coop
    - easy_my_coop_es
    - easy_my_coop_website
    - easy_my_coop_website_es
    - easy_my_coop_website_portal
    - l10n_es_account_asset
    - l10n_es_account_bank_statement_import_n43
    - l10n_es_account_invoice_sequence
    - l10n_es_aeat
    - l10n_es_aeat_mod111
    - l10n_es_aeat_mod115
    - l10n_es_aeat_mod303
    - l10n_es_aeat_mod349
    - l10n_es_mis_report
    - l10n_es_partner
    - l10n_es_pos
    - l10n_es_toponyms
    - mass_editing
    - mass_mailing_list_dynamic
    - mass_mailing_partner
    - mis_builder
    - mis_builder_budget
    - partner_survey
    - pos_invoice_send_mail
    - pos_invoicing
    - pos_loyalty
    - pos_mail_receipt
    - pos_order_mgmt
    - pos_order_return
    - pos_order_to_sale_order
    - pos_picking_load
    - product_contract
    - product_contract_variable_quantity
    - purchase_products_only_from_vendors
    - purchase_propagate_qty
    - sale_order_invoicing_grouping_criteria
    - sale_product_returnable
    - sale_promotion_rule
    - stock_move_line_auto_fill
    - stock_no_negative
    - stock_picking_send_by_mail
    - survey_description
    - survey_resource_booking
    - web_responsive
    - web_no_bubble
    - web_searchbar_full_width
    - web_favicon
    - website_sale_checkout_skip_payment
    - website_sale_hide_price
    - website_sale_require_login
    - website_sale_secondary_unit
    - website_sale_stock_force_block
    - website_sale_stock_picking_note

# We want clean instances without example data in apps
odoo_role_demo_data: false

# Odoo provisioning
odoo_provisioning_version: "v0.7.6"
# Enable list_db while we don't change the backup strategy at odoo-provisioning
odoo_role_list_db: true

# Nginx configuration
nginx_configs:
  upstream:
    - upstream odoo { server 127.0.0.1:8069; }
    - upstream nexporter { server 127.0.0.1:9100; }
    
nginx_sites:
  odoo:
    - |
      listen 80;
      server_name {{ domains | default([inventory_hostname]) | join(' ') }};
      rewrite ^(.*)$ https://$host$1 permanent;
  odoo.ssl:
    - |
      listen 443 ssl;
      ssl_certificate /etc/letsencrypt/live/{{ inventory_hostname }}/fullchain.pem;
      ssl_certificate_key /etc/letsencrypt/live/{{ inventory_hostname }}/privkey.pem;
      include /etc/letsencrypt/options-ssl-nginx.conf;
      ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem;
      server_name {{ domains | default([inventory_hostname]) | join(' ') }};
      proxy_read_timeout 720s;
      proxy_connect_timeout 720s;
      proxy_send_timeout 720s;
      proxy_set_header X-Forwarded-Host $host;
      proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
      proxy_set_header X-Forwarded-Proto $scheme;
      proxy_set_header X-Real-IP $remote_addr;
      ssl on;
      access_log /var/log/nginx/odoo.access.log;
      error_log /var/log/nginx/odoo.error.log;
      location / {
        proxy_redirect off;
        proxy_pass http://odoo;
      }
      location /node/ {
        include proxy_params;
        proxy_redirect off;
        proxy_pass http://nexporter/metrics;
        auth_basic           "closed site";
        auth_basic_user_file /etc/odoo/.htpasswd;
      }
      gzip_types text/css text/less text/plain text/xml application/xml application/json application/javascript;
      gzip on;
